# Visualization
TKService
TColQuantity

# TColQuantity_HArray1OfLength Class Reference

`#include <TColQuantity_HArray1OfLength.hxx>`

## Public Member Functions

Standard_EXPORT | TColQuantity_HArray1OfLength (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColQuantity_HArray1OfLength (const Standard_Integer Low, const Standard_Integer Up, const Quantity_Length &V)
Standard_EXPORT void | Init (const Quantity_Length &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Quantity_Length &Value)
const Quantity_Length & | Value (const Standard_Integer Index) const
Quantity_Length & | ChangeValue (const Standard_Integer Index)
const TColQuantity_Array1OfLength & | Array1 () const
TColQuantity_Array1OfLength & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColQuantity_Array1OfLength | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColQuantity_HArray1OfLength::TColQuantity_HArray1OfLength | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColQuantity_HArray1OfLength::TColQuantity_HArray1OfLength | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Quantity_Length & | V
| ) |

## Member Function Documentation

const TColQuantity_Array1OfLength& TColQuantity_HArray1OfLength::Array1 | ( |  | ) | const

TColQuantity_Array1OfLength& TColQuantity_HArray1OfLength::ChangeArray1 | ( |  | ) |

Quantity_Length& TColQuantity_HArray1OfLength::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TColQuantity_HArray1OfLength::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TColQuantity_HArray1OfLength::Init | ( | const Quantity_Length & | V | ) |

Standard_Integer TColQuantity_HArray1OfLength::Length | ( |  | ) | const

Standard_Integer TColQuantity_HArray1OfLength::Lower | ( |  | ) | const

void TColQuantity_HArray1OfLength::SetValue | ( | const Standard_Integer | Index,
|  | const Quantity_Length & | Value
| ) |

Standard_Integer TColQuantity_HArray1OfLength::Upper | ( |  | ) | const

const Quantity_Length& TColQuantity_HArray1OfLength::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TColQuantity_Array1OfLength TColQuantity_HArray1OfLength::myArray `[private]`

The documentation for this class was generated from the following file:

- TColQuantity_HArray1OfLength.hxx